<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\MensagemContato;

class ContatoController extends Controller
{
    public function index()
    {
        $meiosContato = [
            (object)[
                'icone' => 'mail-outline',
                'tipo' => 'E-mail',
                'descricao' => 'contato@exemplo.com'
            ],
            (object)[
                'icone' => 'call-outline',
                'tipo' => 'Telefone',
                'descricao' => '(11) 1234-5678'
            ],
            (object)[
                'icone' => 'chatbubble-outline',
                'tipo' => 'WhatsApp',
                'descricao' => '(11) 9876-5432'
            ]
        ];

        return view('fale_conosco', compact('meiosContato'));
    }

    public function enviar(Request $request)
    {
        if ($request->method() !== 'POST') {
            abort(405, 'Método não permitido');
        }

        $validated = $request->validate([
            'nome' => 'required|string|max:255',
            'email' => 'required|email',
            'telefone' => 'nullable|string|max:20',
            'mensagem' => 'required|string|max:500',
        ]);

        MensagemContato::create($validated);

        return redirect()->route('contato.index')->with('success', 'Mensagem enviada com sucesso!');
    }

}