<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Massa;
class MassaController extends Controller
{
    public function index()
    {
        $massas = Massa::all();
        return view('massas.index', compact('massas'));
    }

    public function create()
    {
        return view('massas.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'descricao' => 'required|string|max:255',
            'sabor' => 'required|string|max:255',
            'qtd_pessoas' => 'required|integer|min:1',
            'valor' => 'required|numeric',
        ]);

        Massa::create($request->all());

        return redirect()->route('massas.index');
    }

    public function edit($id)
    {
        $massa = Massa::findOrFail($id);
        return view('massas.edit', compact('massa'));
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'descricao' => 'required|string|max:255',
            'sabor' => 'required|string|max:255',
            'qtd_pessoas' => 'required|integer|min:1',
            'valor' => 'required|numeric',
        ]);

        $massa = Massa::findOrFail($id);
        $massa->update($request->all());

        return redirect()->route('massas.index');
    }

    public function destroy($id)
    {
        $massa = Massa::findOrFail($id);
        $massa->delete();

        return redirect()->route('massas.index');
    } 

}
