<?php
namespace App\Http\Controllers;

use App\Models\Recheio;
use App\Models\Produto;
use Illuminate\Http\Request;

class RecheioController extends Controller
{
    public function index()
    {
        $recheios = Recheio::all();
        return view('recheios.index', compact('recheios'));
    }

    public function create()
    {
        $produtos = Produto::all(); // Obter todos os produtos cadastrados
        return view('recheios.create', compact('produtos'));
    }

    public function store(Request $request)
    {
        // Validação dos dados recebidos
        $request->validate([
            'sabor' => 'required|string',
            'valor' => 'required|numeric',
            'mao_de_obra' => 'required|numeric',
            'produtos' => 'required|array', // Produtos selecionados
        ]);

        // Criando o recheio
        $recheio = Recheio::create([
            'sabor' => $request->sabor,
            'valor' => $request->valor,
            'mao_de_obra' => $request->mao_de_obra,
        ]);

        // Associando os produtos com as quantidades
        foreach ($request->produtos as $produtoId => $quantidade) {
            $recheio->produtos()->attach($produtoId, ['quantidade' => $quantidade]);
        }

        return redirect()->route('recheios.index');
    }
}