<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\CartItem;
use App\Models\Product;
class WelcomeController extends Controller
{
    public function index()
    {
        // Verifica se o usuário está autenticado
        $userId = Auth::id();
        $products = Product::all();
        if (!$userId) {
            // Usuário não autenticado, retorna contagem de itens como 0
            $cartItemCounts = 0;
        } else {
            // Verifica se há itens no carrinho com status 'in_cart'
            $cartItemCounts = CartItem::where('user_id', $userId)
                                     ->where('status', 'in_cart')
                                     ->sum('quantity');
        }

        // Retorna a view com a quantidade de itens do carrinho
        return view('welcome', compact('cartItemCounts','products'));
    }
}
