<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Pedido extends Model
{
    use HasFactory;

    protected $fillable = [
        'cliente_id',
        'data_pedido',
        'previsao_entrega',
        'preco_mao_obra',
        'total',
        'status_pedido',
    ];

    // Relacionamento com o cliente
    public function cliente()
    {
        return $this->belongsTo(Cliente::class);
    }

    // Relacionamento com os itens do pedido
    public function itens()
    {
        return $this->hasMany(ItemPedido::class, 'pedido_id');
    }

}