<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\View;
use App\Models\CartItem;
use Illuminate\Support\Facades\Auth;
class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot()
    {
        // Compartilha a contagem dos itens com status 'completed' globalmente
        View::share('cartItemCount', function() {
            if (Auth::check()) {
                // Conta apenas os itens com status 'completed'
                return CartItem::where('user_id', Auth::id())
                               ->where('status', 'in_cart')
                               ->sum('quantity');
            }

            return 0; // Retorna 0 se o usuário não estiver logado
        });
    }
}