@extends('layouts.main') <!-- Use o layout do admin, caso tenha um -->

@section('content')
    <div class="container">
        <h1>Cadastro de Conta Bancária e Pix</h1>

        <!-- Exibir mensagem de sucesso -->
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        <!-- Formulário de Cadastro da Conta Bancária -->
        <h3>Cadastro de Conta Bancária</h3>
        <form action="{{ route('admin.saveBankAccount') }}" method="POST">
            @csrf
            <div class="form-group">
                <label for="account_holder">Titular da Conta:</label>
                <input type="text" class="form-control" name="account_holder" id="account_holder" required>
            </div>
            <div class="form-group">
                <label for="bank_name">Nome do Banco:</label>
                <input type="text" class="form-control" name="bank_name" id="bank_name" required>
            </div>
            <div class="form-group">
                <label for="account_number">Número da Conta:</label>
                <input type="text" class="form-control" name="account_number" id="account_number" required>
            </div>
            <div class="form-group">
                <label for="agency_number">Número da Agência:</label>
                <input type="text" class="form-control" name="agency_number" id="agency_number" required>
            </div>
            <div class="form-group">
                <label for="bank_code">Código do Banco:</label>
                <input type="text" class="form-control" name="bank_code" id="bank_code" required>
            </div>
            <button type="submit" class="btn btn-primary">Cadastrar Conta Bancária</button>
        </form>

        <hr>

        <!-- Formulário de Cadastro do Pix -->
        <h3>Cadastro de Chave Pix</h3>
        <form action="{{ route('admin.savePix') }}" method="POST">
            @csrf
            <div class="form-group">
                <label for="pix_key">Chave Pix:</label>
                <input type="text" class="form-control" name="pix_key" id="pix_key" required>
            </div>
            <div class="form-group">
                <label for="pix_type">Tipo de Chave Pix:</label>
                <input type="text" class="form-control" name="pix_type" id="pix_type" required>
            </div>
            <button type="submit" class="btn btn-primary">Cadastrar Chave Pix</button>
        </form>
    </div>
@endsection
