@extends('layouts.main')

@section('content')
    <div class="container-areaCliente">
        <h1>Dashboard - Gerenciar Pedidos</h1>

        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Pedido</th>
                    <th>Endereço</th>
                    <th>Cliente</th>
                    <th>Status</th>
                    <th>Mudar Status</th>
                    <th>Mudar Usuário</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($checkouts as $checkout)
                    <tr>
                        <td>{{ $checkout->id }}</td>
                        <td>{{ $checkout->order_code }}</td>
                        <td>{{ $checkout->address }}</td>
                        <td>{{ $checkout->user_name }}</td> <!-- Nome do usuário -->
                        <td>{{ ucfirst(str_replace('_', ' ', $checkout->status)) }}</td>
                        <td>
                            <form action="{{ route('admin.updateStatus', $checkout->id) }}" method="POST"
                                id="status-form-{{ $checkout->id }}">
                                @csrf
                                @method('PUT')
                                <select name="status" class="form-control status-select" data-id="{{ $checkout->id }}">
                                    <option value="cancelado" {{ $checkout->status == 'cancelado' ? 'selected' : '' }}>
                                        Cancelado</option>
                                    <option value="preparando_para_envio"
                                        {{ $checkout->status == 'preparando_para_envio' ? 'selected' : '' }}>
                                        Preparando para Envio
                                    </option>
                                    <option value="postado_no_correios"
                                        {{ $checkout->status == 'postado_no_correios' ? 'selected' : '' }}>
                                        Postado no Correios
                                    </option>
                                    <option value="recebido" {{ $checkout->status == 'recebido' ? 'selected' : '' }}>
                                        Recebido</option>
                                    <option value="aguardando_pagamento"
                                        {{ $checkout->status == 'aguardando_pagamento' ? 'selected' : '' }}>
                                        Aguardando Pagamento
                                    </option>
                                </select>
                                <!-- Campo para o código dos Correios -->
                                <div id="correios-field-{{ $checkout->id }}" class="mt-2" style="display: none;">
                                    <label for="tracking_code_{{ $checkout->id }}">Código dos Correios:</label>
                                    <input type="text" name="tracking_code" id="tracking_code_{{ $checkout->id }}"
                                        class="form-control" placeholder="Digite o código dos Correios"
                                        value="{{ $checkout->tracking_code }}">
                                </div>

                                <button type="submit" class="btn btn-primary mt-2">Alterar Status</button>
                            </form>
                        </td>

                        <td>
                            <form action="{{ route('admin.updateUser', $checkout->id) }}" method="POST">
                                @csrf
                                @method('PUT')
                                <select name="user_id" class="form-control">
                                    @foreach ($users as $user)
                                        <option value="{{ $user->id }}"
                                            {{ $checkout->user_id == $user->id ? 'selected' : '' }}>{{ $user->name }}
                                        </option>
                                    @endforeach
                                </select>
                                <button type="submit" class="btn btn-warning mt-2">Alterar Usuário</button>
                            </form>
                        </td>
                        <td>
                            <form action="{{ route('admin.updateOrderValue', $checkout->id) }}" method="POST">
                                @csrf
                                @method('PUT')
                                <label for="total">Total do Pedido:</label>
                                <input type="number" step="0.01" name="total" id="total"
                                    value="{{ $checkout->total }}" class="form-control" required>
                                <button type="submit" class="btn btn-primary mt-2">Atualizar Total</button>
                            </form>
                            <script>
                                document.querySelector('form').addEventListener('submit', function(event) {
                                    const totalInput = document.querySelector('input[name="total"]');
                                    const totalValue = parseFloat(totalInput.value);

                                    if (isNaN(totalValue) || totalValue < 0) {
                                        event.preventDefault();
                                        alert('Por favor, insira um valor numérico válido para o total do pedido.');
                                    }
                                });
                            </script>
                        </td>
                    </tr>
                    <script>
                        document.addEventListener('DOMContentLoaded', function() {
                            const statusSelects = document.querySelectorAll('.status-select');

                            statusSelects.forEach(select => {
                                select.addEventListener('change', function() {
                                    const id = this.getAttribute('data-id');
                                    const correiosField = document.getElementById(`correios-field-${id}`);

                                    if (this.value === 'postado_no_correios') {
                                        correiosField.style.display = 'block';
                                    } else {
                                        correiosField.style.display = 'none';
                                    }
                                });

                                // Garantir que o campo seja exibido ao carregar a página se "postado_no_correios" estiver selecionado
                                const id = select.getAttribute('data-id');
                                const correiosField = document.getElementById(`correios-field-${id}`);
                                if (select.value === 'postado_no_correios') {
                                    correiosField.style.display = 'block';
                                }
                            });
                        });
                    </script>
                @endforeach
            </tbody>
        </table>


    </div>
@endsection
