@extends('layouts.main')

@section('content')
    <div class="container">
        <div class="container-produto-creat">
            <h1>Lista de Clientes</h1>
            <a href="{{ route('clientes.create') }}" class="btn btn-primary">Cadastrar Cliente</a>
            <table class="table">
                <thead>
                    <tr>
                        <th>Nome</th>
                        <th>Endereço</th>
                        <th>Telefone</th>
                        <th>Indicações</th>
                        <th>Número de Pedidos</th>
                        <th>Ações</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($clientes as $cliente)
                        <tr>
                            <td>{{ $cliente->nome_cliente }}</td>
                            <td>{{ $cliente->endereco_cliente }}</td>
                            <td>{{ $cliente->telefone_contato }}</td>
                            <td>
                                @php
                                    $indicacoes = $cliente->indicacoes ? explode(',', $cliente->indicacoes) : [];
                                @endphp
                                {{ implode(', ', $indicacoes) }}
                            </td>
                            <td>{{ $cliente->numero_pedidos }}</td>
                            <td>
                                <a href="{{ route('clientes.edit', $cliente->id) }}" class="btn btn-warning">Editar</a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>

        </div>
    </div>
    <script>
        document.getElementById('indicacoes').addEventListener('change', function() {
            const hiddenInput = document.getElementById('indicacoes_hidden');
            const selectedOptions = Array.from(this.selectedOptions).map(option => option.value);
            hiddenInput.value = selectedOptions.join(',');
        });
    </script>
@endsection
