@extends('layouts.main')

@section('content')
    <div class="container">

        @if (auth()->user() && auth()->user()->is_admin)
            <p class="card-text">Gerencie os usuários cadastrados no sistema.</p>

            <div class="container py-4">
                <h1 class="text-center">Bem-vindo ao Dashboard</h1>
                <div class="row">
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Usuários</h5>
                                <p class="card-text">Gerencie os usuários cadastrados no sistema.</p>
                                <a href="{{ route('accounts.index') }}" class="btn btn-primary">Gerenciar Usuários</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Produtos</h5>
                                <p class="card-text">Visualize e adicione novos produtos.</p>
                                <a href="{{ route('itens_vendas.index') }}" class="btn btn-primary">Gerenciar Produtos</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Relatórios</h5>
                                <p class="card-text">Acesse relatórios e análises de desempenho.</p>
                                <a href="#" class="btn btn-primary">Ver Relatórios</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @else
            <h1>Nossas velas</h1>
            <div class="row">
                @foreach ($products as $product)
                    <div class="col-md-4 mb-4">
                        <div class="card card-prod">
                            <img src="{{ $product->image }}" class="card-img-top img-prod" alt="{{ $product->name }}">
                            <div class="card-body">
                                <h5 class="card-title">{{ $product->name }}</h5>
                                <p class="card-text">{{ $product->description }}</p>

                                <div class="aling-itens-card">
                                    @if ($product->is_promotion && $product->discount_percentage > 0)
                                        @php
                                            $discountedPrice =
                                                $product->price * (1 - $product->discount_percentage / 100);
                                        @endphp
                                        <p class="card-text-valor">
                                            <div class="preco-promo">
                                            <span style="text-decoration: line-through; color: #888;">
                                                R$ {{ number_format($product->price, 2, ',', '.') }}
                                            </span>
                                            <strong style="color: red;">
                                                R$ {{ number_format($discountedPrice, 2, ',', '.') }}
                                            </strong>
                                        </div>
                                        </p>
                                    @else
                                        <p class="card-text-valor">
                                            R$ {{ number_format($product->price, 2, ',', '.') }}
                                        </p>
                                    @endif

                                    <form action="{{ route('cart.add', $product->id_product) }}" method="POST">
                                        @csrf
                                        <input type="hidden" name="price"
                                            value="{{ $product->is_promotion ? $discountedPrice : $product->price }}">
                                        <button type="submit" class="btn btn-primary">Adicionar ao Carrinho</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        @endif
    </div>
@endsection
