@extends('layouts.main')

@section('content')
    <div class="container">
        <h1>Massas Cadastradas</h1>
        <a href="{{ route('massas.create') }}" class="btn btn-primary mb-3">Cadastrar Nova Massa</a>
        <table class="table">
            <thead>
                <tr>
                    <th>Descrição</th>
                    <th>Sabor</th>
                    <th>Quantidade de Pessoas</th>
                    <th>Valor</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($massas as $massa)
                    <tr>
                        <td>{{ $massa->descricao }}</td>
                        <td>{{ $massa->sabor }}</td>
                        <td>{{ $massa->qtd_pessoas }}</td>
                        <td>R$ {{ number_format($massa->valor, 2, ',', '.') }}</td>
                        <td>
                            <a href="{{ route('massas.edit', $massa->id) }}" class="btn btn-warning btn-sm">Editar</a>
                            <form action="{{ route('massas.destroy', $massa->id) }}" method="POST" class="d-inline">
                                @csrf
                                @method('DELETE')
                                <button type="submit" class="btn btn-danger btn-sm">Excluir</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
@endsection
