@extends('layouts.main')

@section('content')
    <div class="container mt-4">
        <div class="container-produto-creat">
            <h1>Editar Produto</h1>
            <form action="{{ route('produtos.update', $produto->id) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="mb-3">
                    <label for="nome" class="form-label">Nome</label>
                    <input type="text" class="form-control" id="nome" name="nome" value="{{ $produto->nome }}"
                        required>
                </div>
                <div class="mb-3">
                    <label for="valor" class="form-label">Valor</label>
                    <input type="number" step="0.01" class="form-control" id="valor" name="valor"
                        value="{{ $produto->valor }}" required>
                </div>
                <div class="mb-3">
                    <label for="peso" class="form-label">Peso</label>
                    <input type="number" step="0.01" class="form-control" id="peso" name="peso"
                        value="{{ $produto->peso }}" required>
                </div>
                <div class="mb-3">
                    <label for="tipo" class="form-label">Tipo</label>
                    <select class="form-control" id="tipo" name="tipo" required>
                        <option value="pct" {{ $produto->tipo == 'pct' ? 'selected' : '' }}>Pacote</option>
                        <option value="quilo" {{ $produto->tipo == 'quilo' ? 'selected' : '' }}>Quilo</option>
                        <option value="unidade" {{ $produto->tipo == 'unidade' ? 'selected' : '' }}>Unidade</option>
                        <option value="litros" {{ $produto->tipo == 'litros' ? 'selected' : '' }}>Litros</option>
                    </select>
                </div>
                <div class="mb-3">
                    <label for="estoque" class="form-label">Estoque</label>
                    <input type="number" class="form-control" id="estoque" name="estoque" value="{{ $produto->estoque }}"
                        required>
                </div>
                <div class="mb-3">
                    <label for="imagem" class="form-label">Imagem</label>
                    <input type="file" class="form-control" id="imagem" name="imagem">
                    @if ($produto->imagem)
                        <img src="{{ asset('storage/' . $produto->imagem) }}" alt="{{ $produto->nome }}" width="100"
                            class="mt-2">
                    @endif
                </div>
                <button type="submit" class="btn btn-success">Atualizar</button>
            </form>
        </div>
    </div>
@endsection
