@extends('layouts.main')

@section('content')
    <div class="container">
        <h1 class="title-pag">Itens em Promoção</h1>

        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        <div class="row">
            @forelse ($products as $product)
                <div class="col-md-4 mb-4">
                    <div class="card card-prod">
                        <img src="{{ $product->image }}" class="card-img-top img-prod" alt="{{ $product->name }}">
                        <div class="card-body">
                            <h5 class="card-title">{{ $product->name }}</h5>
                            <p class="card-text">{{ $product->description }}</p>

                            <!-- Exibe o preço com desconto -->
                            <p class="card-text">
                                <span class="text-muted">
                                    De: R$ {{ number_format($product->price, 2, ',', '.') }}
                                </span><br>
                                <strong>
                                    Por: R$
                                    {{ number_format($product->price * (1 - $product->discount_percentage / 100), 2, ',', '.') }}
                                </strong>
                            </p>

                            @if (auth()->user() && auth()->user()->is_admin)
                                <div class="d-flex justify-content-between">
                                    <!-- Botão Editar Produto -->
                                    <a href="{{ route('products.edit', $product->id_product) }}"
                                        class="btn btn-warning">Editar</a>

                                    <!-- Botão Desativar Produto -->
                                    <form action="{{ route('products.deactivate', $product->id_product) }}" method="POST"
                                        style="display:inline;">
                                        @csrf
                                        @method('PUT')
                                        <button type="submit" class="btn btn-danger">Desativar</button>
                                    </form>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            @empty
                <p class="text-center">Nenhum produto em promoção no momento.</p>
            @endforelse
        </div>
    </div>
@endsection
