<style>
    /* Estilos gerais para o modal */
    .custom-modal {
        display: none;
        /* Escondido por padrão */
        position: fixed;
        z-index: 1000;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        overflow: auto;
        background-color: rgba(0, 0, 0, 0.7);
        /* Fundo semitransparente */
    }

    /* Conteúdo do modal */
    .custom-modal-content {
        position: relative;
        background-color: #fff;
        margin: 10% auto;
        padding: 20px;
        width: 80%;
        max-width: 800px;
        border-radius: 10px;
        box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.25);
    }

    /* Botão de fechar */
    .custom-modal-close {
        position: absolute;
        top: 10px;
        right: 20px;
        color: #333;
        font-size: 24px;
        font-weight: bold;
        cursor: pointer;
    }

    /* Estilos do título e detalhes */
    #modalTitle {
        margin-bottom: 10px;
        font-size: 22px;
        font-weight: bold;
        text-align: center;
    }

    #modalContent {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    /* Carrossel de imagens */
    #carouselContainer {
        width: 100%;
        overflow: hidden;
        position: relative;
    }

    #carouselImages {
        display: flex;
        transition: transform 0.5s ease-in-out;
    }

    #carouselImages img {
        width: 100%;
        max-width: 100%;
        height: auto;
        border-radius: 8px;
    }

    /* Detalhes do produto */
    #modalDetails {
        text-align: center;
    }

    #modalProductTitle {
        font-size: 20px;
        font-weight: bold;
    }

    #modalProductDescription {
        font-size: 16px;
        color: #555;
    }

    .modal .thumbnail-wrapper img {
        border: 2px solid transparent;
        transition: border-color 0.3s ease;
    }

    .modal .thumbnail-wrapper img:hover {
        border-color: #007bff;
    }

    .product-description {
        display: -webkit-box;
        -webkit-line-clamp: 3;
        /* Limita a 3 linhas */
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        max-height: 4.5em;
        /* Altura para 3 linhas */
        transition: all 0.3s ease;
        /* Suaviza a transição */
    }

    .product-description.expanded {
        -webkit-line-clamp: unset;
        /* Remove o limite */
        max-height: none;
        /* Permite altura automática */
        overflow: visible;
        /* Mostra todo o conteúdo */
    }
</style>
<?php $__env->startSection('content'); ?>
    <div class="container">
        <h1 class="title-pag">Produtos</h1>
        <div class="row">
            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-4 mb-4">
                    <div class="card card-prod">
                        <!-- Mostrar a imagem principal -->
                        <img src="<?php echo e($product->image); ?>" class="card-img-top img-prod" alt="<?php echo e($product->name); ?>"
                            onclick="showImageModal(
        '<?php echo e($product->image); ?>',
        '<?php echo e($product->name); ?>',
        '<?php echo e($product->description); ?>',
        <?php echo e(json_encode(json_decode($product->images))); ?>,
        '<?php echo e($product->fragrance); ?>',
        '<?php echo e($product->burn_time); ?>',
        '<?php echo e($product->weight); ?>',
        '<?php echo e($product->price); ?>'
    )">


                        <div class="card-body">
                            <h5 class="card-title"><?php echo e($product->name); ?></h5>
                            <div class="card-text-container">
                                <p class="card-text product-description" id="description-<?php echo e($product->id); ?>">
                                    <?php echo e($product->description); ?>

                                </p>
                                <a href="javascript:void(0)" class="toggle-description"
                                    data-id="<?php echo e($product->id); ?>">Carregar mais</a>
                            </div>



                            <div class="aling-itens-card">
                                <?php if($product->is_promotion && $product->discount_percentage > 0): ?>
                                    <?php
                                        $discountedPrice = $product->price * (1 - $product->discount_percentage / 100);
                                    ?>
                                    <p class="card-text-valor">
                                    <div class="preco-promo">
                                        <span style="text-decoration: line-through; color: #888;">
                                            R$ <?php echo e(number_format($product->price, 2, ',', '.')); ?>

                                        </span>
                                        <strong style="color: red;">
                                            R$ <?php echo e(number_format($discountedPrice, 2, ',', '.')); ?>

                                        </strong>
                                    </div>
                                    </p>
                                <?php else: ?>
                                    <p class="card-text-valor">
                                        R$ <?php echo e(number_format($product->price, 2, ',', '.')); ?>

                                    </p>
                                <?php endif; ?>

                                <form action="<?php echo e(route('cart.add', $product->id_product)); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="price"
                                        value="<?php echo e($product->is_promotion ? $discountedPrice : $product->price); ?>">
                                    <button type="submit" class="btn btn-primary">Adicionar ao Carrinho</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <!-- Modal -->
        <div id="imageModal" class="modal" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="modalProductTitle" class="modal-title">Título do Produto</h5>
                        <button type="button" class="btn-close" onclick="closeImageModal()">X</button>
                    </div>
                    <div class="modal-body">
                        <div class="itens-modal">


                            <div id="carouselImages" class="carousel slide" data-bs-ride="carousel">
                                <div class="carousel-inner"></div>
                                <button class="carousel-control-prev" type="button" data-bs-target="#carouselImages"
                                    data-bs-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="visually-hidden">Anterior</span>
                                </button>
                                <button class="carousel-control-next" type="button" data-bs-target="#carouselImages"
                                    data-bs-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="visually-hidden">Próximo</span>
                                </button>

                            </div>
                            <div class="info-prod-modal">
                                <div class="infos-modal">
                                    <label for="">Descrição:</label>
                                    <p id="modalProductDescription"></p>
                                </div>
                                <div class="infos-modal-principal">
                                    <label for="">Fragrância:</label>
                                    <p id="modalProductFragrance"></p>
                                    <label for="">Tempo de Duração:</label>
                                    <p id="modalProductBurnTime"></p>
                                    <label for="">Peso (Grs):</label>
                                    <p id="modalProductWeight"></p>
                                    <label for="">Preço:</label>
                                    <p id="modalProductPrice"></p>
                                </div>
                            </div>
                            <form action="<?php echo e(route('cart.add', $product->id_product)); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" name="price"
                                    value="<?php echo e($product->is_promotion ? $discountedPrice : $product->price); ?>">
                                <button type="submit" class="btn btn-primary">Adicionar ao Carrinho</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>




        <script>
            document.querySelectorAll('.toggle-description').forEach(button => {
                button.addEventListener('click', function() {
                    const productId = this.getAttribute('data-id');
                    const description = document.getElementById(`description-${productId}`);

                    // Alterna entre expandido e colapsado
                    if (description.classList.contains('expanded')) {
                        description.classList.remove('expanded');
                        this.textContent = 'Carregar mais';
                    } else {
                        description.classList.add('expanded');
                        this.textContent = 'Mostrar menos';
                    }
                });
            });


            // Função para abrir o modal e carregar conteúdo
            function showImageModal(mainImage, title, description, images, fragrance, burnTime, weight, price) {
                const modal = document.getElementById('imageModal');
                const carousel = document.getElementById('carouselImages');
                const modalProductTitle = document.getElementById('modalProductTitle');
                const modalProductFragrance = document.getElementById('modalProductFragrance');
                const modalProductDescription = document.getElementById('modalProductDescription');
                const modalProductBurnTime = document.getElementById('modalProductBurnTime');
                const modalProductWeight = document.getElementById('modalProductWeight');
                const modalProductPrice = document.getElementById('modalProductPrice');

                // Limpar conteúdo existente
                carousel.querySelector('.carousel-inner').innerHTML = '';
                modalProductTitle.textContent = title || 'Produto sem título';
                modalProductFragrance.textContent = fragrance || 'Não especificado';
                modalProductDescription.textContent = description || 'Não especificado';
                modalProductBurnTime.textContent = burnTime || 'Não especificado';
                modalProductWeight.textContent = weight || 'Não especificado';
                modalProductPrice.textContent = price ? `R$ ${parseFloat(price).toFixed(2).replace('.', ',')}` :
                    'Não especificado';

                // Adicionar imagem principal ao carrossel
                if (mainImage) {
                    const mainImageElement = `
            <div class="carousel-item active">
                <img src="${mainImage}" alt="Imagem Principal" class="d-block w-100">
            </div>`;
                    carousel.querySelector('.carousel-inner').innerHTML += mainImageElement;
                }

                // Adicionar imagens adicionais ao carrossel
                if (Array.isArray(images) && images.length > 0) {
                    images.forEach((image, index) => {
                        const isActive = index === 0 && !mainImage ? 'active' : '';
                        const imageElement = `
                <div class="carousel-item ${isActive}">
                    <img src="${image}" alt="Imagem Adicional" class="d-block w-100">
                </div>`;
                        carousel.querySelector('.carousel-inner').innerHTML += imageElement;
                    });
                }

                // Exibir o modal
                modal.style.display = 'block';
            }

            // Função para fechar o modal
            function closeImageModal() {
                const modal = document.getElementById('imageModal');
                modal.style.display = 'none';
            }



            // Função para fechar o modal
            function closeImageModal() {
                const modal = document.getElementById('imageModal');
                modal.style.display = 'none';
            }
        </script>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/001gerph/web/sistema.gerenciamentophp.com.br/public_html/resources/views/products/index.blade.php ENDPATH**/ ?>