<?php $__env->startSection('content'); ?>
    <div class="container">
        <h1>Editar Usuário</h1>

        <?php if($errors->any()): ?>
            <div class="alert alert-danger">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

        <div class="container-edit-user">
            <form action="<?php echo e(route('users.update', $user->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo method_field('PUT'); ?>

                <div class="aling-itens">
                    <!-- Nome -->

                    <?php if($user->photo): ?>
                        <img class="foto-perfil-edit" src="<?php echo e(asset('storage/' . $user->photo)); ?>" alt="Foto do usuário"
                            style="max-width: 150px; margin-top: 10px;">
                    <?php endif; ?>
                    <div class="aling-itens-col">
                        <div class="form-group">
                            <label for="name">Nome</label>
                            <input type="text" class="form-control" id="name" name="name"
                                value="<?php echo e(old('name', $user->name)); ?>" required>
                        </div>

                        <!-- Email -->
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" class="form-control" id="email" name="email"
                                value="<?php echo e(old('email', $user->email)); ?>" required>
                        </div>
                    </div>
                    <!-- Telefone -->
                    <div class="aling-itens-col">
                        <div class="form-group">
                            <label for="phone">Telefone</label>
                            <input type="text" class="form-control phone-mask" id="phone" name="phone"
                                value="<?php echo e(old('phone', $user->phone)); ?>">
                        </div>
                        <?php if(auth()->user()->is_admin): ?>
                            <div class="form-group">
                                <label for="role">Função no sistema</label>
                                <select class="form-control" id="role" name="role">
                                    <option value="user" <?php echo e($user->role === 'user' ? 'selected' : ''); ?>>Usuário</option>
                                    <option value="admin" <?php echo e($user->role === 'admin' ? 'selected' : ''); ?>>Administrador
                                    </option>
                                </select>
                            </div>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="password">Nova Senha</label>
                        <input type="password" class="form-control" id="password" name="password">
                        <small>Deixe em branco para manter a senha atual.</small>
                    </div>

                    <!-- Confirmação de Senha -->
                    <div class="form-group">
                        <label for="password_confirmation">Confirmação da Nova Senha</label>
                        <input type="password" class="form-control" id="password_confirmation" name="password_confirmation">
                    </div>

                </div>





                <!-- Endereço -->
                <h4>Endereço</h4>
                <div class="aling-itens">
                    <div class="form-group">
                        <label for="cep">CEP</label>
                        <input type="text" class="form-control" id="cep" name="cep"
                            value="<?php echo e(old('cep', $user->cep)); ?>">
                    </div>
                    <div class="form-group">
                        <label for="neighborhood">Bairro</label>
                        <input type="text" class="form-control" id="neighborhood" name="neighborhood"
                            value="<?php echo e(old('neighborhood', $user->neighborhood)); ?>">
                    </div>
                    <div class="form-group">
                        <label for="street">Rua</label>
                        <input type="text" class="form-control" id="street" name="street"
                            value="<?php echo e(old('street', $user->street)); ?>">
                    </div>
                </div>
                <div class="aling-itens">
                    <div class="form-group">
                        <label for="city">Cidade</label>
                        <input type="text" class="form-control" id="city" name="city"
                            value="<?php echo e(old('city', $user->city)); ?>">
                    </div>
                    <div class="form-group">
                        <label for="number">Número</label>
                        <input type="text" class="form-control" id="number" name="number"
                            value="<?php echo e(old('number', $user->number)); ?>">
                    </div>
                    <div class="form-group">
                        <label for="state">Estado</label>
                        <input type="text" class="form-control" id="state" name="state"
                            value="<?php echo e(old('state', $user->state)); ?>">
                    </div>
                </div>

                <!-- Foto -->
                <div class="form-group">
                    <label for="photo">Foto</label>
                    <input type="file" class="form-control" id="photo" name="photo" accept="image/*">

                </div>

                <!-- Botões -->
                <button type="submit" class="btn btn-primary">Salvar</button>
                <a href="<?php echo e(route('accounts.index')); ?>" class="btn btn-secondary">Cancelar</a>
            </form>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"></script>

    <script>
        $(document).ready(function() {
            // Máscara de telefone
            $('.phone-mask').mask('(00) 00000-0000');

            // Busca de CEP
            $('#cep').on('blur', function() {
                let cep = $(this).val().replace(/\D/g, '');
                if (cep.length === 8) {
                    $.getJSON(`https://viacep.com.br/ws/${cep}/json/`, function(data) {
                        if (!("erro" in data)) {
                            $('#street').val(data.logradouro);
                            $('#neighborhood').val(data.bairro);
                            $('#city').val(data.localidade);
                            $('#state').val(data.uf);
                        } else {
                            alert('CEP não encontrado.');
                        }
                    }).fail(function() {
                        alert('Erro ao buscar o CEP. Tente novamente.');
                    });
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/001gerph/web/sistema.gerenciamentophp.com.br/public_html/resources/views/users/edit.blade.php ENDPATH**/ ?>